nonstd::variants::detail::TypedVisitorUnwrapper< 2, R, Visitor, T2 > Struct Template Reference

`#include <variant.hpp>`

## Public Member Functions

| TypedVisitorUnwrapper (const Visitor &visitor_, T2 const &val2_)
template<typename T >
R | operator() (const T &val1) const

## Public Attributes

const Visitor & | visitor
T2 const & | val2

## Detailed Description

template<typename R, typename Visitor, typename T2>
struct nonstd::variants::detail::TypedVisitorUnwrapper< 2, R, Visitor, T2 >

Definition at line 2280 of file variant.hpp.

## Constructor & Destructor Documentation

## TypedVisitorUnwrapper()

template<typename R , typename Visitor , typename T2 >

nonstd::variants::detail::TypedVisitorUnwrapper< 2, R, Visitor, T2 >::TypedVisitorUnwrapper | ( | const Visitor & | visitor_,
|  | T2 const & | val2_
| ) |  |

inline

Definition at line 2285 of file variant.hpp.

## Member Function Documentation

## operator()()

template<typename R , typename Visitor , typename T2 >
template<typename T >

R nonstd::variants::detail::TypedVisitorUnwrapper< 2, R, Visitor, T2 >::operator() | ( | const T & | val1 | ) | const

inline

Definition at line 2293 of file variant.hpp.

## Member Data Documentation

## val2

template<typename R , typename Visitor , typename T2 >

T2 const& nonstd::variants::detail::TypedVisitorUnwrapper< 2, R, Visitor, T2 >::val2

Definition at line 2283 of file variant.hpp.

## visitor

template<typename R , typename Visitor , typename T2 >

const Visitor& nonstd::variants::detail::TypedVisitorUnwrapper< 2, R, Visitor, T2 >::visitor

Definition at line 2282 of file variant.hpp.

The documentation for this struct was generated from the following file:

- restinio/third_party/variant-lite/variant.hpp